-- Payment Register Application
-- July 15, 2014

-- This SQL code must be executed after SaveToDB Framework installation!

CREATE TABLE [Payments] (
    [ID] int NOT NULL IDENTITY PRIMARY KEY, 
    [Date] datetime, 
    [Sum] money, 
    [AccountName] nvarchar(50), 
    [CompanyName] nvarchar(50), 
    [ItemName] nvarchar(50), 
    [Comment] nvarchar(255)
);
GO

INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20131231',10000,'My Bank',NULL,NULL,'Opening balance');
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140110',200000,'My Bank','Rose, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140110',-50000,'My Bank','Land, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140131',-13000,'My Bank','Income Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140131',-29580,'My Bank','Salary Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140131',-87000,'My Bank',NULL,'Payroll',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',300000,'My Bank','Rose, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',100000,'My Bank','Carnation, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',-50000,'My Bank','Water, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140210',-100000,'My Bank','Land, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140228',-13000,'My Bank','Income Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140228',-29580,'My Bank','Salary Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140228',-87000,'My Bank',NULL,'Payroll',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140310',300000,'My Bank','Rose, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140310',200000,'My Bank','Carnation, Inc','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140310',100000,'My Bank','Cornflower, Corp','Revenue',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140315',-36000,'My Bank','Corporate Tax','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-26000,'My Bank','Income Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-50000,'My Bank','Water, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-59160,'My Bank','Salary Taxes','Taxes',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-100000,'My Bank','Land, Inc','Expenses',NULL);
GO
INSERT INTO [Payments] ([Date],[Sum],[AccountName],[CompanyName],[ItemName],[Comment]) VALUES ('20140331',-174000,'My Bank',NULL,'Payroll',NULL);
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('','Payments','TABLE','','','');
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('SELECT
    p.RowNumber AS N
    , MAX(p.[Level]) AS [Level]
    , p.ItemType
    , p.ItemName
    , p.CompanyName
    , COALESCE(MAX(t.TRANSLATED_NAME), MAX(p.Name)) AS Name
    , SUM(p.Total) AS Total
    , SUM(p.Jan) AS Jan
    , SUM(p.Feb) AS Feb
    , SUM(p.Mar) AS Mar
    , SUM(p.Apr) AS Apr
    , SUM(p.May) AS May
    , SUM(p.Jun) AS Jun
    , SUM(p.Jul) AS Jul
    , SUM(p.Aug) AS Aug
    , SUM(p.Sep) AS Sep
    , SUM(p.Oct) AS Oct
    , SUM(p.Nov) AS Nov
    , SUM(p.[Dec]) AS [Dec]
FROM
    (
    -- Companies
    SELECT
        p.RowNumber
        , 0 AS [Level]
        , p.ItemType
        , p.ItemName
        , p.CompanyName
        , ''  '' + p.CompanyName AS Name
        , p.Period
        , SUM(p.[Sum]) AS [Total]
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            CAST(CASE WHEN p.[Sum]<0 THEN 2 ELSE 1 END AS int) AS RowNumber
            , CAST(CASE WHEN p.[Sum]<0 THEN N''Expences'' ELSE N''Income'' END AS NVARCHAR(50)) AS ItemType
            , p.ItemName
            , p.CompanyName
            , DATEPART(MONTH, p.[Date]) AS Period
            , p.[Sum]
        FROM
            Payments p
        WHERE
            p.CompanyName IS NOT NULL
            AND DATEPART(YEAR, p.[Date]) = @Year
        ) p
    GROUP BY
        p.Period,
        p.RowNumber,
        p.ItemType,
        p.ItemName,
        p.CompanyName

    -- Total Items
    UNION ALL
    SELECT
        p.RowNumber
        , 1 AS [Level]
        , p.ItemType
        , p.ItemName
        , NULL AS CompanyName
        , p.ItemName AS [Name]
        , p.Period
        , SUM(p.[Sum]) AS [Total]
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            CAST(CASE WHEN p.[Sum]<0 THEN 2 ELSE 1 END AS int) AS RowNumber
            , CAST(CASE WHEN p.[Sum]<0 THEN N''Expences'' ELSE N''Income'' END AS NVARCHAR(50)) AS ItemType
            , p.ItemName
            , DATEPART(MONTH, p.[Date]) AS Period
            , p.[Sum]
        FROM
            Payments p
        WHERE
            p.ItemName IS NOT NULL
            AND DATEPART(YEAR, p.[Date]) = @Year
        ) p
    GROUP BY
        p.Period,
        p.RowNumber,
        p.ItemType,
        p.ItemName

    -- Total Income/Expenses
    UNION ALL
    SELECT
        p.RowNumber
        , 2 AS [Level]
        , p.ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Total '' + p.ItemType AS Name
        , p.Period
        , SUM(p.[Sum]) AS [Total]
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            CAST(CASE WHEN p.[Sum]<0 THEN 2 ELSE 1 END AS int) AS RowNumber
            , CAST(CASE WHEN p.[Sum]<0 THEN N''Expences'' ELSE N''Income'' END AS NVARCHAR(50)) AS ItemType
            , DATEPART(MONTH, p.[Date]) AS Period
            , p.[Sum]
        FROM
            Payments p
        WHERE
            DATEPART(YEAR, p.[Date]) = @Year
        ) p
    GROUP BY
        p.Period,
        p.RowNumber,
        p.ItemType

    -- Net Chanhge
    UNION ALL
    SELECT
        3 AS RowNumber
        , 2 AS [Level]
        , N''Net Change'' AS ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Net Change'' AS Name
        , p.Period
        , SUM(p.[Sum]) AS [Total]
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            DATEPART(MONTH, p.[Date]) AS Period
            , p.[Sum]
        FROM
            Payments p
        WHERE
            DATEPART(YEAR, p.[Date]) = @Year
        ) p
    GROUP BY
        p.Period

    -- Opening balance
    UNION ALL
    SELECT
        0 AS RowNumber
        , 3 AS [Level]
        , N''Opening Balance'' AS ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Opening Balance'' AS Name
        , p.Period
        , NULL AS Total
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            DATEPART(MONTH, d.[Date]) AS Period
            , SUM(p.[Sum]) AS [Sum]
        FROM
            Payments p
            CROSS JOIN (
                SELECT DATEADD(YEAR, @Year - 1900, 0) AS [Date]
                UNION SELECT DATEADD(MONTH, 1, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 2, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 3, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 4, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 5, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 6, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 7, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 8, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 9, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 10, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 11, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
            ) d
        WHERE
            p.[Date] < d.[Date]
        GROUP BY
            d.[Date]
        ) p
    GROUP BY
        p.Period

    -- Closing balance
    UNION ALL
    SELECT
        4 AS RowNumber
        , 3 AS [Level]
        , N''Closing Balance'' AS ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Closing Balance'' AS Name
        , p.Period
        , NULL AS Total
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            DATEPART(MONTH, d.[Date]) AS Period
            , SUM(p.[Sum]) AS [Sum]
        FROM
            Payments p
            CROSS JOIN (
                SELECT DATEADD(MONTH, 1, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 2, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 3, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 4, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 5, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 6, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 7, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 8, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 9, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 10, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 11, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 12, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
            ) d
        WHERE
            p.[Date] < d.[Date]
        GROUP BY
            d.[Date]
        ) p
    GROUP BY
        p.Period
    ) p
    LEFT OUTER JOIN ColumnTranslation t ON t.TABLE_NAME = ''ItemName'' AND t.COLUMN_NAME = p.Name
        AND UPPER(t.LANGUAGE_NAME) = UPPER(@DataLanguage)
GROUP BY
    p.RowNumber,
    p.ItemType,
    p.ItemName,
    p.CompanyName
ORDER BY
    p.RowNumber,
    p.ItemType,
    p.ItemName,
    p.CompanyName','CashFlow','CODE',NULL,NULL,NULL);
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('SELECT
    p.RowNumber AS N
    , MAX(p.[Level]) AS [Level]
    , p.ItemType
    , p.ItemName
    , p.CompanyName
    , COALESCE(MAX(t.TRANSLATED_NAME), MAX(p.Name)) AS Name
    , SUM(p.Total) AS Total
    , SUM(p.Jan) AS Jan
    , SUM(p.Feb) AS Feb
    , SUM(p.Mar) AS Mar
    , SUM(p.Apr) AS Apr
    , SUM(p.May) AS May
    , SUM(p.Jun) AS Jun
    , SUM(p.Jul) AS Jul
    , SUM(p.Aug) AS Aug
    , SUM(p.Sep) AS Sep
    , SUM(p.Oct) AS Oct
    , SUM(p.Nov) AS Nov
    , SUM(p.[Dec]) AS [Dec]
FROM
    (
    -- Total Items
    SELECT
        p.RowNumber
        , 1 AS [Level]
        , p.ItemType
        , p.ItemName
        , NULL AS CompanyName
        , p.ItemName AS [Name]
        , p.Period
        , SUM(p.[Sum]) AS [Total]
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            CAST(CASE WHEN p.[Sum]<0 THEN 2 ELSE 1 END AS int) AS RowNumber
            , CAST(CASE WHEN p.[Sum]<0 THEN N''Expences'' ELSE N''Income'' END AS NVARCHAR(50)) AS ItemType
            , p.ItemName
            , DATEPART(MONTH, p.[Date]) AS Period
            , p.[Sum]
        FROM
            Payments p
        WHERE
            p.ItemName IS NOT NULL
            AND DATEPART(YEAR, p.[Date]) = @Year
        ) p
    GROUP BY
        p.Period,
        p.RowNumber,
        p.ItemType,
        p.ItemName

    -- Total Income/Expenses
    UNION ALL
    SELECT
        p.RowNumber
        , 2 AS [Level]
        , p.ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Total '' + p.ItemType AS Name
        , p.Period
        , SUM(p.[Sum]) AS [Total]
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            CAST(CASE WHEN p.[Sum]<0 THEN 2 ELSE 1 END AS int) AS RowNumber
            , CAST(CASE WHEN p.[Sum]<0 THEN N''Expences'' ELSE N''Income'' END AS NVARCHAR(50)) AS ItemType
            , DATEPART(MONTH, p.[Date]) AS Period
            , p.[Sum]
        FROM
            Payments p
        WHERE
            DATEPART(YEAR, p.[Date]) = @Year
        ) p
    GROUP BY
        p.Period,
        p.RowNumber,
        p.ItemType

    -- Net Chanhge
    UNION ALL
    SELECT
        3 AS RowNumber
        , 2 AS [Level]
        , N''Net Change'' AS ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Net Change'' AS Name
        , p.Period
        , SUM(p.[Sum]) AS [Total]
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            DATEPART(MONTH, p.[Date]) AS Period
            , p.[Sum]
        FROM
            Payments p
        WHERE
            DATEPART(YEAR, p.[Date]) = @Year
        ) p
    GROUP BY
        p.Period

    -- Opening balance
    UNION ALL
    SELECT
        0 AS RowNumber
        , 3 AS [Level]
        , N''Opening Balance'' AS ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Opening Balance'' AS Name
        , p.Period
        , NULL AS Total
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            DATEPART(MONTH, d.[Date]) AS Period
            , SUM(p.[Sum]) AS [Sum]
        FROM
            Payments p
            CROSS JOIN (
                SELECT DATEADD(YEAR, @Year - 1900, 0) AS [Date]
                UNION SELECT DATEADD(MONTH, 1, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 2, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 3, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 4, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 5, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 6, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 7, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 8, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 9, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 10, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 11, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
            ) d
        WHERE
            p.[Date] < d.[Date]
        GROUP BY
            d.[Date]
        ) p
    GROUP BY
        p.Period

    -- Closing balance
    UNION ALL
    SELECT
        4 AS RowNumber
        , 3 AS [Level]
        , N''Closing Balance'' AS ItemType
        , NULL AS ItemName
        , NULL AS CompanyName
        , N''Closing Balance'' AS Name
        , p.Period
        , NULL AS Total
        , CASE p.Period WHEN  2 THEN SUM(p.[Sum]) ELSE NULL END AS Jan
        , CASE p.Period WHEN  3 THEN SUM(p.[Sum]) ELSE NULL END AS Feb
        , CASE p.Period WHEN  4 THEN SUM(p.[Sum]) ELSE NULL END AS Mar
        , CASE p.Period WHEN  5 THEN SUM(p.[Sum]) ELSE NULL END AS Apr
        , CASE p.Period WHEN  6 THEN SUM(p.[Sum]) ELSE NULL END AS May
        , CASE p.Period WHEN  7 THEN SUM(p.[Sum]) ELSE NULL END AS Jun
        , CASE p.Period WHEN  8 THEN SUM(p.[Sum]) ELSE NULL END AS Jul
        , CASE p.Period WHEN  9 THEN SUM(p.[Sum]) ELSE NULL END AS Aug
        , CASE p.Period WHEN 10 THEN SUM(p.[Sum]) ELSE NULL END AS Sep
        , CASE p.Period WHEN 11 THEN SUM(p.[Sum]) ELSE NULL END AS Oct
        , CASE p.Period WHEN 12 THEN SUM(p.[Sum]) ELSE NULL END AS Nov
        , CASE p.Period WHEN  1 THEN SUM(p.[Sum]) ELSE NULL END AS [Dec]
    FROM
        (
        SELECT
            DATEPART(MONTH, d.[Date]) AS Period
            , SUM(p.[Sum]) AS [Sum]
        FROM
            Payments p
            CROSS JOIN (
                SELECT DATEADD(MONTH, 1, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 2, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 3, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 4, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 5, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 6, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 7, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 8, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 9, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 10, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 11, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
                UNION SELECT DATEADD(MONTH, 12, DATEADD(YEAR, @Year - 1900, 0)) AS [Date]
            ) d
        WHERE
            p.[Date] < d.[Date]
        GROUP BY
            d.[Date]
        ) p
    GROUP BY
        p.Period
    ) p
    LEFT OUTER JOIN ColumnTranslation t ON t.TABLE_NAME = ''ItemName'' AND t.COLUMN_NAME = p.Name
        AND UPPER(t.LANGUAGE_NAME) = UPPER(@DataLanguage)
GROUP BY
    p.RowNumber,
    p.ItemType,
    p.ItemName,
    p.CompanyName
ORDER BY
    p.RowNumber,
    p.ItemType,
    p.ItemName,
    p.CompanyName','CashFlowSummary','CODE',NULL,NULL,NULL);
GO

INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'CashFlow',NULL,'ContextMenu','SELECT * FROM Payments p WHERE p.CompanyName = @CompanyName','Payments - {CompanyName}','CODE',NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'CashFlow',NULL,'ContextMenu','SELECT * FROM Payments p WHERE p.ItemName = @ItemName','Payments - {ItemName}','CODE',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'CashFlowSummary',NULL,'ContextMenu','SELECT * FROM Payments p WHERE p.ItemName = @ItemName','Payments - {ItemName}','CODE',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Payments',NULL,'ContextMenu','SELECT * FROM Payments p WHERE p.CompanyName = @CompanyName','Payments - {CompanyName}','CODE',NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Payments',NULL,'ContextMenu','SELECT * FROM Payments p WHERE p.ItemName = @ItemName','Payments - {ItemName}','CODE',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Payments',NULL,'ContextMenu','SELECT * FROM Payments p WHERE p.[Date] = @Date','Payments - {Date}','CODE',NULL,13,NULL);
GO

INSERT INTO [ParameterValues] ([SPECIFIC_SCHEMA],[SPECIFIC_NAME],[PARAMETER_NAME],[SELECT_SCHEMA],[SELECT_NAME],[SELECT_TYPE]) VALUES (NULL,'CashFlow','Year','SELECT DISTINCT DATEPART(YEAR, [Date]) AS [Year] FROM Payments WHERE [Date] > ''20111231'' ORDER BY DATEPART(YEAR, [Date]) DESC','PaymentsYear','CODE');
GO
INSERT INTO [ParameterValues] ([SPECIFIC_SCHEMA],[SPECIFIC_NAME],[PARAMETER_NAME],[SELECT_SCHEMA],[SELECT_NAME],[SELECT_TYPE]) VALUES (NULL,'CashFlowSummary','Year','SELECT DISTINCT DATEPART(YEAR, [Date]) AS [Year] FROM Payments WHERE [Date] > ''20111231'' ORDER BY DATEPART(YEAR, [Date]) DESC','PaymentsYear','CODE');
GO

INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Payments - {CompanyName}','en',NULL,NULL,NULL);
GO
INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Payments - {ItemName}','en',NULL,NULL,NULL);
GO
INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Payments - {Date}','en',NULL,NULL,NULL);
GO

INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Opening Balance','en','Opening Balance',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Total Income','en','Total Income',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Revenue','en','Revenue',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Total Expences','en','Total Expences',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Expenses','en','Expenses',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Payroll','en','Payroll',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Taxes','en','Taxes',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Net Change','en','Net Change',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'ItemName','Closing Balance','en','Closing Balance',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,'Payments','Sum','en','Amount',NULL);
GO

INSERT INTO [TableFormats] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_EXCEL_FORMAT_XML]) VALUES (NULL,'Payments','<?xml version="1.0" encoding="Unicode"?>
<table name="Payments">
<columnFormats>
<column name="" property="ListObjectName" value="Sheet1_Table1" type="String" />
<column name="" property="ShowTotals" value="False" type="Boolean" />
<column name="" property="TableStyle.Name" value="TableStyleMedium2" type="String" />
<column name="" property="ShowTableStyleColumnStripes" value="False" type="Boolean" />
<column name="" property="ShowTableStyleFirstColumn" value="False" type="Boolean" />
<column name="" property="ShowShowTableStyleLastColumn" value="False" type="Boolean" />
<column name="" property="ShowTableStyleRowStripes" value="True" type="Boolean" />
<column name="_RowNum" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="_RowNum" property="Address" value="$B$4" type="String" />
<column name="ID" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="ID" property="Address" value="$C$4" type="String" />
<column name="ID" property="ColumnWidth" value="0.08" type="Double" />
<column name="Date" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Date" property="Address" value="$D$4" type="String" />
<column name="Date" property="ColumnWidth" value="10" type="Double" />
<column name="Date" property="NumberFormat" value="m/d/yyyy" type="String" />
<column name="Sum" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Sum" property="Address" value="$E$4" type="String" />
<column name="Sum" property="ColumnWidth" value="11.71" type="Double" />
<column name="Sum" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="AccountName" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="AccountName" property="Address" value="$F$4" type="String" />
<column name="AccountName" property="ColumnWidth" value="15.57" type="Double" />
<column name="CompanyName" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="CompanyName" property="Address" value="$G$4" type="String" />
<column name="CompanyName" property="ColumnWidth" value="16.71" type="Double" />
<column name="ItemName" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="ItemName" property="Address" value="$H$4" type="String" />
<column name="ItemName" property="ColumnWidth" value="17.71" type="Double" />
<column name="Comment" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Comment" property="Address" value="$I$4" type="String" />
<column name="Comment" property="ColumnWidth" value="21.71" type="Double" />
<column name="SortFields(1)" property="KeyfieldName" value="Date" type="String" />
<column name="SortFields(1)" property="SortOn" value="0" type="Double" />
<column name="SortFields(1)" property="Order" value="1" type="Double" />
<column name="SortFields(1)" property="DataOption" value="0" type="Double" />
<column name="SortFields(2)" property="KeyfieldName" value="ID" type="String" />
<column name="SortFields(2)" property="SortOn" value="0" type="Double" />
<column name="SortFields(2)" property="Order" value="1" type="Double" />
<column name="SortFields(2)" property="DataOption" value="0" type="Double" />
<column name="" property="ActiveWindow.DisplayGridlines" value="False" type="Boolean" />
<column name="" property="ActiveWindow.FreezePanes" value="True" type="Boolean" />
<column name="" property="ActiveWindow.Split" value="True" type="Boolean" />
<column name="" property="ActiveWindow.SplitRow" value="0" type="Double" />
<column name="" property="ActiveWindow.SplitColumn" value="-2" type="Double" />
<column name="" property="PageSetup.Orientation" value="1" type="Double" />
<column name="" property="PageSetup.FitToPagesWide" value="1" type="Double" />
<column name="" property="PageSetup.FitToPagesTall" value="1" type="Double" />
<column name="" property="PageSetup.PaperSize" value="1" type="Double" />
</columnFormats>
</table>
');
GO
INSERT INTO [TableFormats] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_EXCEL_FORMAT_XML]) VALUES (NULL,'CashFlow','<?xml version="1.0" encoding="Unicode"?>
<table name="CashFlow">
<columnFormats>
<column name="" property="ListObjectName" value="CashFlow_Table1" type="String" />
<column name="" property="ShowTotals" value="False" type="Boolean" />
<column name="" property="TableStyle.Name" value="TableStyleMedium15" type="String" />
<column name="" property="ShowTableStyleColumnStripes" value="False" type="Boolean" />
<column name="" property="ShowTableStyleFirstColumn" value="False" type="Boolean" />
<column name="" property="ShowShowTableStyleLastColumn" value="False" type="Boolean" />
<column name="" property="ShowTableStyleRowStripes" value="False" type="Boolean" />
<column name="_RowNum" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="_RowNum" property="Address" value="$B$5" type="String" />
<column name="N" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="N" property="Address" value="$C$5" type="String" />
<column name="Level" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="Level" property="Address" value="$D$5" type="String" />
<column name="ItemType" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="ItemType" property="Address" value="$E$5" type="String" />
<column name="ItemName" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="ItemName" property="Address" value="$F$5" type="String" />
<column name="CompanyName" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="CompanyName" property="Address" value="$G$5" type="String" />
<column name="Name" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Name" property="Address" value="$H$5" type="String" />
<column name="Name" property="ColumnWidth" value="27.86" type="Double" />
<column name="Total" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Total" property="Address" value="$I$5" type="String" />
<column name="Total" property="ColumnWidth" value="13.14" type="Double" />
<column name="Total" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Jan" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Jan" property="Address" value="$J$5" type="String" />
<column name="Jan" property="ColumnWidth" value="10.71" type="Double" />
<column name="Jan" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Feb" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Feb" property="Address" value="$K$5" type="String" />
<column name="Feb" property="ColumnWidth" value="10.71" type="Double" />
<column name="Feb" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Mar" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Mar" property="Address" value="$L$5" type="String" />
<column name="Mar" property="ColumnWidth" value="10.71" type="Double" />
<column name="Mar" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Apr" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Apr" property="Address" value="$M$5" type="String" />
<column name="Apr" property="ColumnWidth" value="10.71" type="Double" />
<column name="Apr" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="May" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="May" property="Address" value="$N$5" type="String" />
<column name="May" property="ColumnWidth" value="10.71" type="Double" />
<column name="May" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Jun" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Jun" property="Address" value="$O$5" type="String" />
<column name="Jun" property="ColumnWidth" value="10.71" type="Double" />
<column name="Jun" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Jul" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Jul" property="Address" value="$P$5" type="String" />
<column name="Jul" property="ColumnWidth" value="10.71" type="Double" />
<column name="Jul" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Aug" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Aug" property="Address" value="$Q$5" type="String" />
<column name="Aug" property="ColumnWidth" value="10.71" type="Double" />
<column name="Aug" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Sep" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Sep" property="Address" value="$R$5" type="String" />
<column name="Sep" property="ColumnWidth" value="10.71" type="Double" />
<column name="Sep" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Oct" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Oct" property="Address" value="$S$5" type="String" />
<column name="Oct" property="ColumnWidth" value="10.71" type="Double" />
<column name="Oct" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Nov" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Nov" property="Address" value="$T$5" type="String" />
<column name="Nov" property="ColumnWidth" value="10.71" type="Double" />
<column name="Nov" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Dec" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Dec" property="Address" value="$U$5" type="String" />
<column name="Dec" property="ColumnWidth" value="10.71" type="Double" />
<column name="Dec" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="_RowNum" property="FormatConditions(1).AppliesToTable" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(1).AppliesTo.Address" value="$B$5:$U$21" type="String" />
<column name="_RowNum" property="FormatConditions(1).Type" value="2" type="Double" />
<column name="_RowNum" property="FormatConditions(1).Priority" value="4" type="Double" />
<column name="_RowNum" property="FormatConditions(1).Formula1" value="=$D5=3" type="String" />
<column name="_RowNum" property="FormatConditions(1).Font.Bold" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(1).Interior.PatternThemeColor" value="-1" type="Double" />
<column name="_RowNum" property="FormatConditions(2).AppliesToTable" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(2).AppliesTo.Address" value="$B$5:$U$21" type="String" />
<column name="_RowNum" property="FormatConditions(2).Type" value="2" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Priority" value="5" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Formula1" value="=$D5=1" type="String" />
<column name="_RowNum" property="FormatConditions(2).Font.Bold" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(2).Interior.Color" value="15853276" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Interior.PatternThemeColor" value="-1" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Interior.ThemeColor" value="5" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Interior.TintAndShade" value="0.799981688894314" type="Double" />
<column name="_RowNum" property="FormatConditions(3).AppliesToTable" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(3).AppliesTo.Address" value="$B$5:$U$21" type="String" />
<column name="_RowNum" property="FormatConditions(3).Type" value="2" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Priority" value="6" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Formula1" value="=$D5=2" type="String" />
<column name="_RowNum" property="FormatConditions(3).Font.Color" value="16777215" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Font.ThemeColor" value="1" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Font.Bold" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(3).Interior.Color" value="6299648" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Interior.PatternThemeColor" value="-1" type="Double" />
<column name="" property="ActiveWindow.DisplayGridlines" value="False" type="Boolean" />
<column name="" property="ActiveWindow.FreezePanes" value="True" type="Boolean" />
<column name="" property="ActiveWindow.Split" value="True" type="Boolean" />
<column name="" property="ActiveWindow.SplitRow" value="0" type="Double" />
<column name="" property="ActiveWindow.SplitColumn" value="7" type="Double" />
<column name="" property="PageSetup.Orientation" value="2" type="Double" />
<column name="" property="PageSetup.FitToPagesWide" value="1" type="Double" />
<column name="" property="PageSetup.FitToPagesTall" value="1" type="Double" />
<column name="" property="PageSetup.PaperSize" value="1" type="Double" />
<column name="" property="PageSetup.LeftMargin" value="22.6771653543307" type="Double" />
<column name="" property="PageSetup.RightMargin" value="22.6771653543307" type="Double" />
<column name="" property="PageSetup.TopMargin" value="25.511811023622" type="Double" />
<column name="" property="PageSetup.BottomMargin" value="25.511811023622" type="Double" />
<column name="" property="PageSetup.HeaderMargin" value="22.6771653543307" type="Double" />
<column name="" property="PageSetup.FooterMargin" value="22.6771653543307" type="Double" />
</columnFormats>
</table>
');
GO
INSERT INTO [TableFormats] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_EXCEL_FORMAT_XML]) VALUES (NULL,'CashFlowSummary','<?xml version="1.0" encoding="Unicode"?>
<table name="CashFlowSummary">
<columnFormats>
<column name="" property="ListObjectName" value="CashFlow_Table134" type="String" />
<column name="" property="ShowTotals" value="False" type="Boolean" />
<column name="" property="TableStyle.Name" value="TableStyleMedium15" type="String" />
<column name="" property="ShowTableStyleColumnStripes" value="False" type="Boolean" />
<column name="" property="ShowTableStyleFirstColumn" value="False" type="Boolean" />
<column name="" property="ShowShowTableStyleLastColumn" value="False" type="Boolean" />
<column name="" property="ShowTableStyleRowStripes" value="False" type="Boolean" />
<column name="_RowNum" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="_RowNum" property="Address" value="$B$5" type="String" />
<column name="N" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="N" property="Address" value="$C$5" type="String" />
<column name="Level" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="Level" property="Address" value="$D$5" type="String" />
<column name="ItemType" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="ItemType" property="Address" value="$E$5" type="String" />
<column name="ItemName" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="ItemName" property="Address" value="$F$5" type="String" />
<column name="CompanyName" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="CompanyName" property="Address" value="$G$5" type="String" />
<column name="Name" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Name" property="Address" value="$H$5" type="String" />
<column name="Name" property="ColumnWidth" value="27.86" type="Double" />
<column name="Total" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Total" property="Address" value="$I$5" type="String" />
<column name="Total" property="ColumnWidth" value="13.14" type="Double" />
<column name="Total" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Jan" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Jan" property="Address" value="$J$5" type="String" />
<column name="Jan" property="ColumnWidth" value="10.71" type="Double" />
<column name="Jan" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Feb" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Feb" property="Address" value="$K$5" type="String" />
<column name="Feb" property="ColumnWidth" value="11" type="Double" />
<column name="Feb" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Mar" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Mar" property="Address" value="$L$5" type="String" />
<column name="Mar" property="ColumnWidth" value="10.71" type="Double" />
<column name="Mar" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Apr" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Apr" property="Address" value="$M$5" type="String" />
<column name="Apr" property="ColumnWidth" value="10.71" type="Double" />
<column name="Apr" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="May" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="May" property="Address" value="$N$5" type="String" />
<column name="May" property="ColumnWidth" value="10.71" type="Double" />
<column name="May" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Jun" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Jun" property="Address" value="$O$5" type="String" />
<column name="Jun" property="ColumnWidth" value="10.71" type="Double" />
<column name="Jun" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Jul" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Jul" property="Address" value="$P$5" type="String" />
<column name="Jul" property="ColumnWidth" value="10.71" type="Double" />
<column name="Jul" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Aug" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Aug" property="Address" value="$Q$5" type="String" />
<column name="Aug" property="ColumnWidth" value="10.71" type="Double" />
<column name="Aug" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Sep" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Sep" property="Address" value="$R$5" type="String" />
<column name="Sep" property="ColumnWidth" value="10.71" type="Double" />
<column name="Sep" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Oct" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Oct" property="Address" value="$S$5" type="String" />
<column name="Oct" property="ColumnWidth" value="10.71" type="Double" />
<column name="Oct" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Nov" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Nov" property="Address" value="$T$5" type="String" />
<column name="Nov" property="ColumnWidth" value="10.71" type="Double" />
<column name="Nov" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="Dec" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Dec" property="Address" value="$U$5" type="String" />
<column name="Dec" property="ColumnWidth" value="10.71" type="Double" />
<column name="Dec" property="NumberFormat" value="#,##0.00_ ;[Red]-#,##0.00 " type="String" />
<column name="_RowNum" property="FormatConditions(1).AppliesToTable" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(1).AppliesTo.Address" value="$B$5:$U$13" type="String" />
<column name="_RowNum" property="FormatConditions(1).Type" value="2" type="Double" />
<column name="_RowNum" property="FormatConditions(1).Priority" value="4" type="Double" />
<column name="_RowNum" property="FormatConditions(1).Formula1" value="=$D5=3" type="String" />
<column name="_RowNum" property="FormatConditions(1).Interior.PatternThemeColor" value="-1" type="Double" />
<column name="_RowNum" property="FormatConditions(2).AppliesToTable" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(2).AppliesTo.Address" value="$B$5:$U$13" type="String" />
<column name="_RowNum" property="FormatConditions(2).Type" value="2" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Priority" value="5" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Formula1" value="=$D5=1" type="String" />
<column name="_RowNum" property="FormatConditions(2).Interior.Color" value="16777215" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Interior.Pattern" value="-4142" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Interior.PatternThemeColor" value="-4142" type="Double" />
<column name="_RowNum" property="FormatConditions(2).Interior.ThemeColor" value="-4142" type="Double" />
<column name="_RowNum" property="FormatConditions(3).AppliesToTable" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(3).AppliesTo.Address" value="$B$5:$U$13" type="String" />
<column name="_RowNum" property="FormatConditions(3).Type" value="2" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Priority" value="6" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Formula1" value="=$D5=2" type="String" />
<column name="_RowNum" property="FormatConditions(3).Font.Color" value="16777215" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Font.ThemeColor" value="1" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Font.Bold" value="True" type="Boolean" />
<column name="_RowNum" property="FormatConditions(3).Interior.Color" value="6299648" type="Double" />
<column name="_RowNum" property="FormatConditions(3).Interior.PatternThemeColor" value="-1" type="Double" />
<column name="" property="ActiveWindow.DisplayGridlines" value="False" type="Boolean" />
<column name="" property="ActiveWindow.FreezePanes" value="True" type="Boolean" />
<column name="" property="ActiveWindow.Split" value="True" type="Boolean" />
<column name="" property="ActiveWindow.SplitRow" value="0" type="Double" />
<column name="" property="ActiveWindow.SplitColumn" value="7" type="Double" />
<column name="" property="PageSetup.Orientation" value="2" type="Double" />
<column name="" property="PageSetup.FitToPagesWide" value="1" type="Double" />
<column name="" property="PageSetup.FitToPagesTall" value="1" type="Double" />
<column name="" property="PageSetup.PaperSize" value="1" type="Double" />
<column name="" property="PageSetup.LeftMargin" value="22.6771653543307" type="Double" />
<column name="" property="PageSetup.RightMargin" value="22.6771653543307" type="Double" />
<column name="" property="PageSetup.TopMargin" value="25.511811023622" type="Double" />
<column name="" property="PageSetup.BottomMargin" value="25.511811023622" type="Double" />
<column name="" property="PageSetup.HeaderMargin" value="22.6771653543307" type="Double" />
<column name="" property="PageSetup.FooterMargin" value="22.6771653543307" type="Double" />
</columnFormats>
</table>
');
GO

-- print Payment Register Application has been installed
