-- Event Handler Example
-- July 15, 2014

-- This SQL code must be executed after SaveToDB Framework installation!

CREATE TABLE [Days] (
    [Day] nchar(3) NOT NULL,
    CONSTRAINT [PK_Days] PRIMARY KEY ([Day])
);
GO

INSERT INTO [Days] ([Day]) VALUES ('Sun');
GO
INSERT INTO [Days] ([Day]) VALUES ('Mon');
GO
INSERT INTO [Days] ([Day]) VALUES ('Tue');
GO
INSERT INTO [Days] ([Day]) VALUES ('Wed');
GO
INSERT INTO [Days] ([Day]) VALUES ('Thu');
GO
INSERT INTO [Days] ([Day]) VALUES ('Fri');
GO
INSERT INTO [Days] ([Day]) VALUES ('Sat');
GO

CREATE TABLE [Times] (
    [Time] nchar(5) NOT NULL,
    CONSTRAINT [PK_Times] PRIMARY KEY ([Time])
);
GO

INSERT INTO [Times] ([Time]) VALUES ('08:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('09:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('10:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('11:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('12:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('13:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('14:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('15:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('16:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('17:00');
GO
INSERT INTO [Times] ([Time]) VALUES ('18:00');
GO

CREATE TABLE [DayTimes] (
    [Year] smallint NOT NULL, 
    [Day] nchar(3) NOT NULL, 
    [Time] nchar(5) NOT NULL, 
    [Comment] nvarchar(255),
    CONSTRAINT [PK_DayTimes] PRIMARY KEY ([Year], [Day], [Time]), 
    FOREIGN KEY ([Day])
        REFERENCES [Days] ([Day])
        ON UPDATE CASCADE ON DELETE CASCADE, 
    FOREIGN KEY ([Time])
        REFERENCES [Times] ([Time])
        ON UPDATE CASCADE ON DELETE CASCADE
);
GO

INSERT INTO [DayTimes] ([Year],[Day],[Time],[Comment]) VALUES (2013,'Mon','10:00','Edit me');
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('SELECT
 t.[Time]
 , Sun.Comment AS [Sun]
 , Mon.Comment AS [Mon]
 , Tue.Comment AS [Tue]
 , Wed.Comment AS [Wed]
 , Thu.Comment AS [Thu]
 , Fri.Comment AS [Fri]
 , Sat.Comment AS [Sat]
 , ''=[@Time]+1/24'' AS Formula
FROM
 Times t
 LEFT OUTER JOIN DayTimes Sun ON Sun.Year = @Year AND Sun.[Day] = ''Sun'' AND Sun.[Time] = t.[Time]
 LEFT OUTER JOIN DayTimes Mon ON Mon.Year = @Year AND Mon.[Day] = ''Mon'' AND Mon.[Time] = t.[Time]
 LEFT OUTER JOIN DayTimes Tue ON Tue.Year = @Year AND Tue.[Day] = ''Tue'' AND Tue.[Time] = t.[Time]
 LEFT OUTER JOIN DayTimes Wed ON Wed.Year = @Year AND Wed.[Day] = ''Wed'' AND Wed.[Time] = t.[Time]
 LEFT OUTER JOIN DayTimes Thu ON Thu.Year = @Year AND Thu.[Day] = ''Thu'' AND Thu.[Time] = t.[Time]
 LEFT OUTER JOIN DayTimes Fri ON Fri.Year = @Year AND Fri.[Day] = ''Fri'' AND Fri.[Time] = t.[Time]
 LEFT OUTER JOIN DayTimes Sat ON Sat.Year = @Year AND Sat.[Day] = ''Sat'' AND Sat.[Time] = t.[Time]','Calendar','CODE',NULL,NULL,NULL);
GO

INSERT INTO [ParameterValues] ([SPECIFIC_SCHEMA],[SPECIFIC_NAME],[PARAMETER_NAME],[SELECT_SCHEMA],[SELECT_NAME],[SELECT_TYPE]) VALUES (NULL,'Calendar','Year','SELECT 2014 AS Year UNION SELECT 2013 UNION SELECT 2012 ORDER BY Year DESC','Year','CODE');
GO

INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Calendar',NULL,'DoubleClick','SELECT N''Context parameters:''           AS Parameter,   NULL AS Value
UNION ALL SELECT N''SheetName''           AS Parameter,   @SheetName AS Value
UNION ALL SELECT N''TableName''           AS Parameter,   @TableName AS Value
UNION ALL SELECT N''EventName''           AS Parameter,   @EventName AS Value
UNION ALL SELECT N''ColumnName''          AS Parameter,   @ColumnName AS Value
UNION ALL SELECT N''CellValue''           AS Parameter,   CAST(@CellValue AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''DataLanguage''        AS Parameter,   @DataLanguage AS Value

UNION ALL SELECT N''Ribbon parameters:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''Year''                AS Parameter,   CAST(@Year AS NVARCHAR(10)) AS Value

UNION ALL SELECT N''Table row values:''   AS Parameter,   NULL AS Value
UNION ALL SELECT N''Time''                AS Parameter,   @Time AS Value
UNION ALL SELECT N''Sun''                 AS Parameter,   @Sun AS Value
UNION ALL SELECT N''Mon''                 AS Parameter,   @Mon AS Value
UNION ALL SELECT N''Tue''                 AS Parameter,   @Tue AS Value
UNION ALL SELECT N''Wed''                 AS Parameter,   @Wed AS Value
UNION ALL SELECT N''Thu''                 AS Parameter,   @Thu AS Value
UNION ALL SELECT N''Fri''                 AS Parameter,   @Fri AS Value
UNION ALL SELECT N''Sat''                 AS Parameter,   @Sat AS Value

UNION ALL SELECT N''Named cell values:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''GlobalCell''          AS Parameter,   CAST(@GlobalCell AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''LocalCell''           AS Parameter,   CAST(@LocalCell AS NVARCHAR(255)) AS Value','DoubleClick Handler','CODE',NULL,NULL,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Calendar',NULL,'Actions','SELECT N''Context parameters:''           AS Parameter,   NULL AS Value
UNION ALL SELECT N''SheetName''           AS Parameter,   @SheetName AS Value
UNION ALL SELECT N''TableName''           AS Parameter,   @TableName AS Value
UNION ALL SELECT N''EventName''           AS Parameter,   @EventName AS Value
UNION ALL SELECT N''ColumnName''          AS Parameter,   @ColumnName AS Value
UNION ALL SELECT N''CellValue''           AS Parameter,   CAST(@CellValue AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''DataLanguage''        AS Parameter,   @DataLanguage AS Value

UNION ALL SELECT N''Ribbon parameters:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''Year''                AS Parameter,   CAST(@Year AS NVARCHAR(10)) AS Value

UNION ALL SELECT N''Table row values:''   AS Parameter,   NULL AS Value
UNION ALL SELECT N''Time''                AS Parameter,   @Time AS Value
UNION ALL SELECT N''Sun''                 AS Parameter,   @Sun AS Value
UNION ALL SELECT N''Mon''                 AS Parameter,   @Mon AS Value
UNION ALL SELECT N''Tue''                 AS Parameter,   @Tue AS Value
UNION ALL SELECT N''Wed''                 AS Parameter,   @Wed AS Value
UNION ALL SELECT N''Thu''                 AS Parameter,   @Thu AS Value
UNION ALL SELECT N''Fri''                 AS Parameter,   @Fri AS Value
UNION ALL SELECT N''Sat''                 AS Parameter,   @Sat AS Value

UNION ALL SELECT N''Named cell values:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''GlobalCell''          AS Parameter,   CAST(@GlobalCell AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''LocalCell''           AS Parameter,   CAST(@LocalCell AS NVARCHAR(255)) AS Value','Actions Menu Item','CODE',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Calendar',NULL,'ContextMenu','SELECT N''Context parameters:''           AS Parameter,   NULL AS Value
UNION ALL SELECT N''SheetName''           AS Parameter,   @SheetName AS Value
UNION ALL SELECT N''TableName''           AS Parameter,   @TableName AS Value
UNION ALL SELECT N''EventName''           AS Parameter,   @EventName AS Value
UNION ALL SELECT N''ColumnName''          AS Parameter,   @ColumnName AS Value
UNION ALL SELECT N''CellValue''           AS Parameter,   CAST(@CellValue AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''DataLanguage''        AS Parameter,   @DataLanguage AS Value

UNION ALL SELECT N''Ribbon parameters:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''Year''                AS Parameter,   CAST(@Year AS NVARCHAR(10)) AS Value

UNION ALL SELECT N''Table row values:''   AS Parameter,   NULL AS Value
UNION ALL SELECT N''Time''                AS Parameter,   @Time AS Value
UNION ALL SELECT N''Sun''                 AS Parameter,   @Sun AS Value
UNION ALL SELECT N''Mon''                 AS Parameter,   @Mon AS Value
UNION ALL SELECT N''Tue''                 AS Parameter,   @Tue AS Value
UNION ALL SELECT N''Wed''                 AS Parameter,   @Wed AS Value
UNION ALL SELECT N''Thu''                 AS Parameter,   @Thu AS Value
UNION ALL SELECT N''Fri''                 AS Parameter,   @Fri AS Value
UNION ALL SELECT N''Sat''                 AS Parameter,   @Sat AS Value

UNION ALL SELECT N''Named cell values:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''GlobalCell''          AS Parameter,   CAST(@GlobalCell AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''LocalCell''           AS Parameter,   CAST(@LocalCell AS NVARCHAR(255)) AS Value','Context Menu Item','CODE',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Calendar',NULL,'SelectionChange','SELECT N''Context parameters:''           AS Parameter,   NULL AS Value
UNION ALL SELECT N''SheetName''           AS Parameter,   @SheetName AS Value
UNION ALL SELECT N''TableName''           AS Parameter,   @TableName AS Value
UNION ALL SELECT N''EventName''           AS Parameter,   @EventName AS Value
UNION ALL SELECT N''ColumnName''          AS Parameter,   @ColumnName AS Value
UNION ALL SELECT N''CellValue''           AS Parameter,   CAST(@CellValue AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''DataLanguage''        AS Parameter,   @DataLanguage AS Value

UNION ALL SELECT N''Ribbon parameters:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''Year''                AS Parameter,   CAST(@Year AS NVARCHAR(10)) AS Value

UNION ALL SELECT N''Table row values:''   AS Parameter,   NULL AS Value
UNION ALL SELECT N''Time''                AS Parameter,   @Time AS Value
UNION ALL SELECT N''Sun''                 AS Parameter,   @Sun AS Value
UNION ALL SELECT N''Mon''                 AS Parameter,   @Mon AS Value
UNION ALL SELECT N''Tue''                 AS Parameter,   @Tue AS Value
UNION ALL SELECT N''Wed''                 AS Parameter,   @Wed AS Value
UNION ALL SELECT N''Thu''                 AS Parameter,   @Thu AS Value
UNION ALL SELECT N''Fri''                 AS Parameter,   @Fri AS Value
UNION ALL SELECT N''Sat''                 AS Parameter,   @Sat AS Value

UNION ALL SELECT N''Named cell values:''  AS Parameter,   NULL AS Value
UNION ALL SELECT N''GlobalCell''          AS Parameter,   CAST(@GlobalCell AS NVARCHAR(255)) AS Value
UNION ALL SELECT N''LocalCell''           AS Parameter,   CAST(@LocalCell AS NVARCHAR(255)) AS Value','SelectionChange','CODE','_New _RightWindow',NULL,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Calendar',NULL,'ContextMenu',NULL,'MenuSeparator',NULL,NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Calendar',NULL,'ContextMenu','https://www.google.com/search?as_q=SaveToDB+EventName+{EventName}','Google Search','HTTP',NULL,13,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Calendar',NULL,'Change','DELETE DayTimes WHERE Day = @ColumnName AND Time = @Time;
INSERT INTO DayTimes ([Year], [Day], [Time], [Comment]) VALUES (@Year, SUBSTRING(@ColumnName, 1, 3), SUBSTRING(CAST(@Time AS nvarchar(255)), 1, 5), CAST(@CellValue AS nvarchar(255)));','Change','CODE',NULL,NULL,NULL);
GO

-- print The event handler example has been installed
